package com.xunhong.erp.turbo.file;

import com.aliyuncs.auth.sts.AssumeRoleResponse;

import java.io.File;
import java.io.InputStream;

/**
 * 文件 服务
 *
 * @author shenyifei
 */
public interface FileService {

	AssumeRoleResponse.Credentials getOssToken();

	/**
	 * 文件上传
	 *
	 * @param path
	 * @param fileStream
	 * @return
	 */
	boolean upload(String path, InputStream fileStream);

	/**
	 * 文件上传
	 *
	 * @param path
	 * @param file
	 * @return
	 */
	boolean upload(String path, File file);
}
